#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define CLR_STDIN() while(getchar() != '\n'){}

int main() {
  int rc, i = 0;
  float input, guess, prev;
  
  do {
    printf("Number to square root: ");
    rc = scanf("%f", &input);
    CLR_STDIN();
    if (rc != 1) {
      continue;
    }
  } while (input <= 0.0);

  guess = input/3;

  do {
    i++;
    prev = guess;
    guess = 0.5 * (prev + (input/prev));
    printf("Input: %.5f Result: %.5f Iterations: %d Error: %f\n", input, guess, i,  labs(prev-guess)/input);
  } while ( fabs((prev-guess)/input) > 0.000001 );

  printf("Input: %.5f Result: %.5f Iterations: %d\n", input, guess, i);

  return 0;
}
